Bug 974710 - Unable to install python-cinderclient due to missing python-httplib2 dependency.
Unable to install python-cinderclient due to missing python-httplib2 dependency.
Status: CLOSED NOTABUG
Product: RDO
Classification: Community
Component: python-cinderclient (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: RHOS Maint
Yaniv Kaul
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 18:27 EDT by Stephen Gordon
Modified: 2016-04-26 13:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 05:13:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-06-14 18:27:22 EDT
Description of problem:

From #openstack:

<dbruhn> I am having an issue with the epel repo missing a bunch of stuff
<dbruhn> I am trying to deploy on cent 6.4
<dbruhn> Error: Package: python-cinderclient-1.0.4-1.el6.noarch (epel-openstack-grizzly)
<dbruhn>            Requires: python-httplib2
<dbruhn> am I missing a repo or something of the sort

I had a look at the package list and python-httplib2 didn't appear to be in the RDO repository:

http://repos.fedorapeople.org/repos/openstack/openstack-grizzly/epel-6/

Give it's in RHOS and we have components for it in both RDO and RHOS I am assuming it's meant to be there?
Comment 1 Alan Pevec 2013-06-14 20:38:06 EDT
It's in EPEL - RDO Packstack should enable epel repo, isn't that the case?
Comment 2 Stephen Gordon 2013-06-15 09:02:28 EDT
(In reply to Alan Pevec from comment #1)
> It's in EPEL - RDO Packstack should enable epel repo, isn't that the case?

Now that you mention it I suspect it does but will do a run to confirm before closing. I suspect in this case the user is manually installing OpenStack after adding the RDO repository in which case this becomes a documentation issue.
Comment 3 Kashyap Chamarthy 2013-06-17 05:13:47 EDT
Heya,

It's indeed available from EPEL: 

$ yum info -d 10 python-httplib2 | grep "From repo"
From repo   : epel

$ rpm -q python-httplib2
python-httplib2-0.7.7-1.el6.noarch

$ cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.4 (Santiago)


Closing the bug as NOTABUG.

If anyone has objections, please re-open.

Note You need to log in before you can comment on or make changes to this bug.